--- chrome/browser/browser_focus_uitest.cc
+++ chrome/browser/browser_focus_uitest.cc
@@ -28,7 +28,7 @@
 #include "chrome/browser/views/tab_contents/tab_contents_container.h"
 #endif
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include "chrome/browser/gtk/view_id_util.h"
 #endif
 
@@ -71,7 +71,7 @@ class BrowserFocusTest : public InProcessBrowserTest {
     // TODO(jcampan): retrieve the WidgetWin and show/hide on it instead of
     // using Windows API.
     ::ShowWindow(window, SW_HIDE);
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
     gtk_widget_hide(GTK_WIDGET(window));
 #else
     NOTIMPLEMENTED();
@@ -83,7 +83,7 @@ class BrowserFocusTest : public InProcessBrowserTest {
     // TODO(jcampan): retrieve the WidgetWin and show/hide on it instead of
     // using Windows API.
     ::ShowWindow(window, SW_SHOW);
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
     gtk_widget_hide(GTK_WIDGET(window));
 #else
     NOTIMPLEMENTED();
@@ -166,7 +166,7 @@ class TestInterstitialPage : public InterstitialPage {
 }  // namespace
 
 IN_PROC_BROWSER_TEST_F(BrowserFocusTest, ClickingMovesFocus) {
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   // It seems we have to wait a little bit for the widgets to spin up before
   // we can start clicking on them.
   MessageLoop::current()->PostDelayedTask(FROM_HERE,
@@ -347,7 +347,7 @@ IN_PROC_BROWSER_TEST_F(BrowserFocusTest, BackgroundBrowserDontStealFocus) {
 
   Browser* focused_browser = NULL;
   Browser* unfocused_browser = NULL;
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   // On Linux, calling Activate() is not guaranteed to move focus, so we have
   // to figure out which browser does have focus.
   if (browser2->window()->IsActive()) {
diff --git chrome/browser/browser_keyevents_browsertest.cc chrome/browser/browser_keyevents_browsertest.cc
index 64f9be5..e3d91ee 100644
